Evaluations
Add one case from inline input or an existing run or trace
POST /v1/regression-datasets/{datasetId}/cases · SDK addDatasetCase · CLI deployments eval case add
POST
Requires observability:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
datasetId*stringRegression dataset ID.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
consentBasis?stringLength
1 <= length <= 200externalId?stringLength
1 <= length <= 128tags?array<>Items
0 <= items <= 20expectations?input?source?|AddDatasetCaseResponse
application/json- response
case*created*booleancurl -X POST "https://example.com/v1/regression-datasets/string/cases" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "case": { "consentBasis": "string", "contentSha256": "string", "createdAt": "2019-08-24T14:15:22Z", "datasetId": "string", "expectationKinds": [ "string" ], "externalId": "string", "id": "string", "inputPreview": "string", "provenance": "annotation", "sourceRunId": "string", "sourceThreadId": "string", "sourceTraceId": "string", "tags": [ "string" ] }, "created": true}